<?
set_time_limit(0);
/*
set_time_limit - Limita o tempo de execuo do script

Descrio
void set_time_limit ( int seconds )

Define o nmero de segundos durante os quais  permitido a execuo do script. Se este limite  atingido, o script retorna um erro fatal. O limite padro  de 30 segundos, ou se existir o valor definido o valor max_execution_time definido no php.ini. 
Se seconds for definido como zero, no  imposto nenhum limite. 

Quando utilizada, set_time_limit() reinicia o contador do limite do tempo a partir de zero. Em outras palavras, se o limite for 30 segundos, e 25 segundos depois do inicio da execuo do script for utilizada a funo com por exemplo, set_time_limit(20), o script ser executado por 45 segundos at acabar o tempo. 
*/

include 'config_upload.php';

/*
Os contedos de $_FILES do nosso script de exemplo  como segue. Note que isso assume que o nome do upload do arquivo  userfile, como o usado no exemplo acima. Pode ser qualquer nome. 


$_FILES['userfile']['name']
O nome original do arquivo no computador do usurio. 

$_FILES['userfile']['type']
O tipo mime (Multipurpose Internet Mail Extension) do arquivo, se o browser deu esta informao. 
Um exemplo pode ser "image/gif". 

$_FILES['userfile']['size']
O tamanho, em bytes, do arquivo. 

$_FILES['userfile']['tmp_name']
O nome temporrio do arquivo, como foi guardado no servidor. 

$_FILES['userfile']['error']
O cdigo de erro associado a este upload de arquivo. ['error'] foi adicionado no PHP 4.2.0 
*/

$nome = $_FILES['arquivo']['name'];

$tamanho = $_FILES['arquivo']['size'];

$temp = $_FILES['arquivo']['tmp_name'];

	if(! empty($nome))
	{
			if(($sobrescrever == "nao") && file_exists("$caminho_absoluto/$nome"))
			{
			die("Arquivo j existe");
			}
			
			if(($limitar_tamanho == "sim") && ($tamanho > $tamanho_bytes))
			{
			die("Arquivo deve ter no mximo $tamanho_bytes bytes");
			}
	
		$ext = strrchr($nome,'.');
/*
strrchr -  Encontra a ultima ocorrncia de um caractere em uma string 

Descrio
string strrchr ( string haystack, char needle )


Esta funo retorna a parte de haystack que inicia na ltima ocorrncia de needle e vai at o fim de haystack. 
Retorna FALSE se needle no for encontrado. 
Se needle conter mais de um caractere, apenas o primeiro  usado. Isto  diferente da funo strchr(). 
Se needle no for uma string,  convertido para uma string e  aplicado o valor do caractere. 
*/

	
			if( ($limitar_ext == "sim")&&(!in_array($ext,$extensoes_validas)))
			{
			die("Extenso invlida");
			}
			
			if(move_uploaded_file("$temp","$caminho_absoluto/$nome"))
			{
/*
move_uploaded_file - Move um arquivo carregado para uma nova localizao

Descrio
bool move_uploaded_file ( string nomedoarquivo, string destino )


Esta funo primeiro checa o arquivo informado nomedoarquivo  um arquivo vlido uploadeado (significando que ele foi carregado pelo mecanismo do PHP de HTTP POST). Se o arquivo  vlido, ele ser movido para o nomedoarquivo dado pelo destino. 

Se nomedoarquivo no  um arquivo carregado vlido, ento no haver nenhuma ao e move_uploaded_file() ir retornar FALSE. 

Se nomedoarquivo  um arquivo uploadeado vlido e no pode ser movido por alguma razo, nenhuma ao ir ocorrer, e move_uploaded_file() ir retornar FALSE. Adicionalmente, um aviso ser emitido. 
*/
			echo "Arquivo Copiado com sucesso";
			}
			else
			{
			echo "Erro na copia para o servidor";
			}			
	}
	else
	{
	echo "Erro sem PN enviada";
	}
?>